%{!?python_sitelib: %define python_sitelib %(%{__python} -c "import distutils.sysconfig as d; print d.get_python_lib()")}

%define debug_package %{nil}

Summary: Tools for building live CDs
Name: livecd-tools
Version: 21.1
Release: 11
Epoch: 1
License: GPLv2
Group: System/Base
URL: http://git.fedorahosted.org/git/livecd
Source0: http://fedorahosted.org/releases/l/i/livecd/%{name}-%{version}.tar.bz2
Source1: arch.py
Source3: rosa-image-fix-x86.pl
Patch0: livecd-tools-21.1.urpmi.patch
Patch1: livecd-tools-21.1.split.install.patch
Patch2: livecd-tools-21.1.efi.fixes.patch
Patch3: livecd-tools-21.1.hack.patch
Patch4: livecd-tools-21.1.hack2.patch
Patch5: livecd-tools-21.1.hack3.patch
Patch6: livecd-tools-21.1.hack4.patch
Patch7: livecd-tools-21.1.no.mac.img.patch
Patch8: livecd-tools-21.1.isolinux.plymouth.fixes.patch
Patch9: livecd-tools-21.1.efi.grub.cfg.patch
Patch10: livecd-tools-21.1.pkg.installation.fix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-imgcreate = %{epoch}:%{version}-%{release}
Requires: mkisofs
Requires: isomd5sum
Requires: parted
Requires: pyparted
Requires: util-linux
Requires: dosfstools
Requires: e2fsprogs
Requires: lorax >= 18.3
Obsoletes: livecd-iso-to-disk

%ifarch %{ix86} x86_64
Requires: syslinux
%endif
Requires: dumpet
BuildRequires: perl
BuildRequires: python


%description 
Tools for generating live CDs on Fedora based systems including
derived distributions such as RHEL, CentOS and others. See
http://fedoraproject.org/wiki/FedoraLiveCD for more details.

%package -n python-imgcreate
Summary: Python modules for building system images
Group: System/Base
Requires: util-linux
Requires: coreutils
Requires: e2fsprogs
Requires: squashfs-tools
Requires: pykickstart >= 0.96
Requires: dosfstools >= 2.11-8
#Requires: system-config-keyboard >= 1.3.0
Requires: python-urlgrabber
Requires: python-selinux
Requires: dbus-python
#Requires: policycoreutils

%description -n python-imgcreate
Python modules that can be used for building images for things
like live image or appliances.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%__install -m 0644 %{SOURCE1} %{buildroot}%{python_sitelib}/imgcreate/
%__install -m 0755 %{SOURCE3} %{buildroot}%{_bindir}/

%files
%defattr(-,root,root,-)
%doc config/livecd-fedora-minimal.ks
%{_mandir}/man*/*
%{_bindir}/livecd-creator
%{_bindir}/livecd-iso-to-disk
%{_bindir}/livecd-iso-to-pxeboot
%{_bindir}/image-creator
%{_bindir}/liveimage-mount
%{_bindir}/edit-livecd
%{_bindir}/mkbiarch
%{_bindir}/rosa-image-fix-x86.pl

%files -n python-imgcreate
%defattr(-,root,root,-)
%dir %{python_sitelib}/imgcreate
%{python_sitelib}/imgcreate/*.py
%{python_sitelib}/imgcreate/*.pyo
%{python_sitelib}/imgcreate/*.pyc


%changelog
* Thu Sep 25 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-11
+ Revision: d156734
- When patching partition table in iso, also update GPT

* Thu Sep 25 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-11
+ Revision: 354d318
- Fixed packages installation in iso (optimized)

* Thu Sep 25 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-11
+ Revision: b9e82b7
- Boot menu fixes (both isolinux and Grub2/EFI)
- 1. Significantly redesigned the grub2 menu for EFI boot: made it similar to the isolinux menu; more user-friendly product name; returned graphical theme; etc.
- 2. Fixed non-displaying plymouth in isolinux menu items.
- 3. Disabled plymouth for 'basic graphics' mode.

* Thu Sep 25 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-10
+ Revision: b4694cb
- Do not generate macboot.ing (fails anyway)

* Tue Sep 23 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1:21.1-10
+ Revision: 3cbb9c6
- Removed Mac AFP table from iso; grub2 theme fixed

* Wed Aug 06 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:21.1-9
+ Revision: 54094ea
- Updated livecd-tools.spec

* Fri Jul 04 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:21.1-8
+ Revision: 962d908
- modified patch

* Fri Jul 04 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:21.1-6
+ Revision: 7cd9125
- added a one more patch

* Thu Jul 03 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:21.1-6
+ Revision: 671207b
- added a hack #3

* Thu Jul 03 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:21.1-5
+ Revision: 7612814
- added one more hack

* Thu Jul 03 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:21.1-4
+ Revision: 5423803
- added one more patch

* Wed Jul 02 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:21.1-3
+ Revision: bbdaed3
- livecd-tools were update to 21.1 version

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:18.8-49
+ Revision: 5399ae6
- MassBuild#440: Increase release tag

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:18.8-48
+ Revision: aae290e
- rediff patch

* Thu Jun 26 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:18.8-47
+ Revision: 021792b
- added a patch to fix path t jpgs

* Tue May 06 2014 Arkady Shane <ashejn@gmail.com> 1:18.8-46
+ Revision: fbfc6d8
- Added BR: perl

* Tue May 06 2014 Arkady Shane <ashejn@gmail.com> 1:18.8-46
+ Revision: 4371d6e
- change R to BR

* Tue May 06 2014 Arkady Shane <ashejn@gmail.com> 1:18.8-46
+ Revision: fd30e26
- added R: perl-podlators

* Mon Apr 21 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:18.8-46
+ Revision: 9ac6496
- release up

* Mon Apr 21 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:18.8-45
+ Revision: 67a340b
- added quiet to start and install

* Tue Jan 21 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:18.8-45
+ Revision: 2a679a2
- rediff perl script

* Tue Jan 21 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:18.8-44
+ Revision: 25ba35e
- updated patch

* Tue Jan 21 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:18.8-44
+ Revision: 4b1e776
- release up

* Tue Jan 21 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:18.8-43
+ Revision: 729b671
- updated patch

* Tue Jan 21 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:18.8-43
+ Revision: e419db0
- Updated livecd-tools.spec

* Tue Jan 21 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:18.8-42
+ Revision: e93e5ba
- Updated livecd-tools.spec

* Tue Jan 21 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:18.8-41
+ Revision: 1840fe9
- updated hackfs patch

* Thu Jan 16 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:18.8-39
+ Revision: 581cae6
- disabled hackfs patch

* Tue Jan 14 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:18.8-38
+ Revision: c75e8a0
- modified patch

* Tue Jan 14 2014 Alex Burmashev <alex.burmashev@gmail.com> 1:18.8-37
+ Revision: ca72028
- pack iso hack too into livecd-tools


